CLEAR ALL
BITMAP 1 NEW 32,32
TARGET BITMAP 1
INK RGB(255,255,255)
CIRCLE FILL 16,16,10
SPRITE 1 BIND BITMAP 1 SHOW MOVE 800,400
SPRITE 2 BIND BITMAP 1 SHOW MOVE 960,400
SPRITE 3 BIND BITMAP 1 SHOW MOVE 1120,400
SPRITE 4 BIND BITMAP 1 SHOW MOVE 1280,400
BITMAP 2 NEW 640,400
SPRITE 5 BIND BITMAP 2 SHOW
TARGET BITMAP 2
i=0:d=3
DO
    CLEAR BITMAP
    INK RGB(255,255,0)
    SLICE FILL 320,200,85,85,90+i,360+90-i
    i=i+d
    IF i<=0 OR i>30 THEN d=-d
    FOR n=1 TO 4
        x=SPRITE.X(n)-8
        IF x<=640 THEN x=x+640
        SPRITE n MOVE x,400
    NEXT n
    PAUSE
LOOP WHILE INKEY$=""
